<template />

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/layers/#layout-symbol-text-allow-overlap

import {
  propsLayerSymbolChild,
  propsLayerColor,
  propsLayerTranslate,
  propsLayerSymbolText,
  defineTransitions
} from './shared/props.js'

export const opts = Object.assign({},
  propsLayerSymbolChild,
  propsLayerColor,
  propsLayerTranslate,
  propsLayerSymbolText
)
const options = defineTransitions(opts)
</script>

<script setup>
import { setupSymbol } from './shared/setup.js'

const type = 'text'
const props = defineProps(options)
const emit = defineEmits(['load'])

setupSymbol(type, options, props, emit)
</script>
